{
  "name": "dfx-common",
  "version": "0.0.0",
  "private": true,
  "scripts": {
    "ng": "ng",
    "ngcc": "ngcc --properties es2020 browser module main --async false --first-only --create-ivy-entry-points",
    "prepare": "husky install",
    "hook:pre-commit": "pretty-quick --staged",
    "hook:commit-msg": "npx --no-install commitlint --edit \"$1\"",
    "all:lint": "npm run helper:lint; npm run translate:lint; npm run table:bs:lint; npm run table:bs:demo:lint",
    "all:build": "npm run helper:build; npm run translate:build; npm run table:bs:build; npm run table:bs:demo:build",
    "all:test": "npm run helper:test:coverage && npm run translate:test:coverage",
    "ts:lint": "npx eslint -c ./.eslintrc.json --fix ./projects/dfx-helper/src/**",
    "ts:build": "rm -rf ./dist/dfx-helper/ && mkdir -p ./dist/dfx-helper && ng build dfx-helper --configuration production && cp ./LICENSE ./dist/dfx-helper/",
    "ts:version:patch": "npm run helper:build && cd ./projects/dfx-helper && npm version patch --no-git-tag-version && cd -",
    "ts:version:minor": "npm run helper:build && cd ./projects/dfx-helper && npm version minor --no-git-tag-version && cd -",
    "ts:version:major": "npm run helper:build && cd ./projects/dfx-helper && npm version major --no-git-tag-version && cd -",
    "ts:publish": "cd ./dist/dfx-helper && npm publish && cd -",
    "ts:publish:beta": "cd ./dist/dfx-helper && npm publish --tag beta && cd -",
    "ts:test": "ng test dfts",
    "ts:test:coverage": "ng test dfts --browsers=Headless --no-watch --code-coverage",

    "helper:lint": "npx eslint -c ./.eslintrc.json --fix ./projects/dfx-helper/src/**",
    "helper:build": "rm -rf ./dist/dfx-helper/ && mkdir -p ./dist/dfx-helper && ng build dfx-helper --configuration production && cp ./LICENSE ./dist/dfx-helper/",
    "helper:version:patch": "npm run helper:build && cd ./projects/dfx-helper && npm version patch --no-git-tag-version && cd -",
    "helper:version:minor": "npm run helper:build && cd ./projects/dfx-helper && npm version minor --no-git-tag-version && cd -",
    "helper:version:major": "npm run helper:build && cd ./projects/dfx-helper && npm version major --no-git-tag-version && cd -",
    "helper:publish": "cd ./dist/dfx-helper && npm publish && cd -",
    "helper:publish:beta": "cd ./dist/dfx-helper && npm publish --tag beta && cd -",
    "helper:watch": "ng build dfx-helper --watch --configuration development",
    "helper:test": "ng test dfx-helper",
    "helper:test:coverage": "ng test dfx-helper --browsers=Headless --no-watch --code-coverage",
    "translate:lint": "npx eslint -c ./.eslintrc.json --fix ./projects/dfx-translate/src/**",
    "translate:build": "rm -rf ./dist/dfx-translate/ && mkdir -p ./dist/dfx-translate && ng build dfx-translate --configuration production && cp ./LICENSE ./dist/dfx-translate/ && npm run translate:cli:build && mkdir -p ./dist/dfx-translate/cli && cp -r ./dist/dfx-translate-cli/** ./dist/dfx-translate/cli/",
    "translate:cli:build": "rm -rf ./dist/dfx-translate-cli/ && mkdir -p ./dist/dfx-translate-cli && cd ./projects/dfx-translate/cli/ && webpack --mode production && cd - && cd ./dist/dfx-translate-cli && find . -type f -not -wholename './index.js' -delete && cd -",
    "translate:version:patch": "npm run translate:build && cd ./projects/dfx-translate && npm version patch --no-git-tag-version && cd -",
    "translate:version:minor": "npm run translate:build && cd ./projects/dfx-translate && npm version minor --no-git-tag-version && cd -",
    "translate:version:major": "npm run translate:build && cd ./projects/dfx-translate && npm version major --no-git-tag-version && cd -",
    "translate:publish": "cd ./dist/dfx-translate && npm publish && cd -",
    "translate:publish:beta": "cd ./dist/dfx-translate && npm publish --tag beta && cd -",
    "translate:watch": "ng build dfx-translate --watch --configuration development",
    "translate:test": "ng test dfx-translate",
    "translate:test:coverage": "ng test dfx-translate --browsers=Headless --no-watch --code-coverage",
    "table:bs:demo:lint": "npx eslint -c ./.eslintrc.json --fix ./projects/dfx-bootstrap-table-demo/src/app/**",
    "table:bs:demo:serve": "npm run table:bs:build && ng serve dfx-bootstrap-table-demo --hmr",
    "table:bs:demo:build": "npm run table:bs:build && ng build dfx-bootstrap-table-demo --configuration production",
    "table:bs:lint": "npx eslint -c ./.eslintrc.json --fix ./projects/dfx-bootstrap-table/src/**",
    "table:bs:watch": "ng build dfx-bootstrap-table --watch --configuration development",
    "table:bs:build": "rm -rf ./dist/dfx-bootstrap-table/ && mkdir -p ./dist/dfx-bootstrap-table && ng build dfx-bootstrap-table --configuration production && cp ./LICENSE ./dist/dfx-bootstrap-table/",
    "table:bs:version:patch": "npm run table:bs:build && cd ./projects/dfx-bootstrap-table && npm version patch --no-git-tag-version && cd -",
    "table:bs:version:minor": "npm run table:bs:build && cd ./projects/dfx-bootstrap-table && npm version minor --no-git-tag-version && cd -",
    "table:bs:version:major": "npm run table:bs:build && cd ./projects/dfx-bootstrap-table && npm version major --no-git-tag-version && cd -",
    "table:bs:publish": "cd ./dist/dfx-bootstrap-table && npm publish && cd -",
    "table:bs:publish:beta": "cd ./dist/dfx-bootstrap-table && npm publish --tag beta && cd -",
    "table:bs:test": "ng test dfx-bootstrap-table",
    "table:bs:test:coverage": "ng test dfx-bootstrap-table --browsers=Headless --no-watch --code-coverage"
  },
  "devDependencies": {
    "@angular-devkit/build-angular": "15.0.4",
    "@angular-eslint/builder": "15.1.0",
    "@angular-eslint/eslint-plugin": "15.1.0",
    "@angular-eslint/eslint-plugin-template": "15.1.0",
    "@angular-eslint/schematics": "15.1.0",
    "@angular-eslint/template-parser": "15.1.0",
    "@angular/animations": "15.0.4",
    "@angular/cdk": "15.0.3",
    "@angular/cli": "15.0.4",
    "@angular/common": "15.0.4",
    "@angular/compiler": "15.0.4",
    "@angular/compiler-cli": "15.0.4",
    "@angular/core": "15.0.4",
    "@angular/forms": "15.0.4",
    "@angular/localize": "15.0.4",
    "@angular/platform-browser": "15.0.4",
    "@angular/platform-browser-dynamic": "15.0.4",
    "@angular/router": "15.0.4",
    "@commitlint/cli": "17.3.0",
    "@commitlint/config-angular": "17.3.0",
    "@popperjs/core": "^2.11.6",
    "@types/jasmine": "4.3.1",
    "@types/node": "^18.8.2",
    "@types/node-fetch": "^2.6.2",
    "@typescript-eslint/eslint-plugin": "5.46.1",
    "@typescript-eslint/parser": "5.46.1",
    "bootstrap": "5.2.3",
    "commander": "9.4.1",
    "eslint": "8.30.0",
    "eslint-config-prettier": "latest",
    "eslint-plugin-import": "latest",
    "eslint-plugin-jsdoc": "latest",
    "eslint-plugin-prefer-arrow": "latest",
    "husky": "8.0.2",
    "jasmine-core": "4.5.0",
    "karma": "6.4.1",
    "karma-chrome-launcher": "3.1.1",
    "karma-coverage": "2.2.0",
    "karma-coverage-istanbul-reporter": "3.0.3",
    "karma-jasmine": "5.1.0",
    "karma-jasmine-html-reporter": "2.0.0",
    "ng-packagr": "15.0.3",
    "node-fetch": "3.3.0",
    "prettier": "2.8.1",
    "pretty-quick": "3.1.3",
    "rxjs": "7.8.0",
    "ts-loader": "^9.4.1",
    "tslib": "2.4.1",
    "typescript": "~4.8.4",
    "webpack": "^5.74.0",
    "webpack-cli": "^5.0.0",
    "zone.js": "0.12.0"
  }
}
